﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="/">
      <html>
        <body>
          <h1> Book Listing</h1>
          <xsl:apply-templates/>
        </body>
      </html>
    </xsl:template>
  <xsl:template match="book">
    <div>
      <h3>Book Id: <xsl:value-of select="@bookId"/></h3>
      <xsl:apply-templates select="isbn" />
      <xsl:apply-templates select="title" />
      <xsl:apply-templates select="author" />
      <xsl:apply-templates select="comments" />
    </div>
  </xsl:template>

  <xsl:template match="isbn">
    <b>ISBN:</b>
    <xsl:value-of select="."/>
    <br />
  </xsl:template>

  <xsl:template match="title">
    <b>Title:</b>
    <xsl:value-of select="."/>
    <br />
  </xsl:template>

  <xsl:template match="author">
    <b>Author:</b>
    <xsl:value-of select="."/>
    <br />
  </xsl:template>

  <xsl:template match="comments">
    <b>Comments:</b>
    <xsl:value-of select="."/>
    <br />
  </xsl:template>
</xsl:stylesheet>
