﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <xsl:template match="/">
     <html>
       <body>
         <h1>Book Listing</h1>
         <table border="1">
           <tr>
             <th>ISBN</th>
             <th>Title</th>
             <th>Author</th>
             <th>Comments</th>
             <th>Topic</th>
           </tr>
           <xsl:for-each select="books/book">
             <tr>
               <td>
                 <xsl:value-of select="isbn"/>
               </td>
               <td>
                 <xsl:value-of select="title"/>
               </td>
               <td>
                 <xsl:value-of select="author"/>
               </td>
               <td>
                 <xsl:value-of select="comments"/>
               </td>
               <td>
                 <xsl:choose>
                   <xsl:when test="comments[contains(., 'C#')]">.NET</xsl:when>
                   <xsl:when test="comments[contains(., 'F#')]">.NET</xsl:when>
                   <xsl:when test="comments[contains(., 'SQL')]">SQL Server</xsl:when>
                   <xsl:when test="comments[contains(., 'C Prog')]">C Programming</xsl:when>
                 </xsl:choose>
               </td>
             </tr>
           </xsl:for-each>
         </table>
       </body>
     </html>
  </xsl:template>
</xsl:stylesheet>
