﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml;

namespace XMLExplorer
{
    public partial class DisplayXMLForm : Form
    {
        private XmlDocument doc;

        public DisplayXMLForm()
        {
            InitializeComponent();
        }

        private void buttonClose_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void buttonLoadXML_Click(object sender, EventArgs e)
        {
            openFileDialog = new OpenFileDialog();
            openFileDialog.InitialDirectory = 
                Application.StartupPath;
            DialogResult result = openFileDialog.ShowDialog();
            if (result == DialogResult.OK)
            {
                doc.PreserveWhitespace = true;
                doc.Load(openFileDialog.FileName);
                textBoxDisplay.Text = doc.InnerXml;
            }
        }

        private void DisplayXMLForm_Load(object sender, EventArgs e)
        {
            doc = new XmlDocument();
        }
    }
}
