﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml;

namespace XMlExplorer3
{
    public partial class Form1 : Form
    {
        XmlDocument doc;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            
        }

        private void buttonLoadBooks_Click(object sender, EventArgs e)
        {
            OpenFileDialog fd = new OpenFileDialog();
            fd.InitialDirectory = Application.StartupPath;
            DialogResult result = fd.ShowDialog();
            if (result == DialogResult.OK)
            {
                doc = new XmlDocument();
                doc.Load(fd.FileName);
                foreach (XmlNode node in doc.DocumentElement.ChildNodes)
                {
                    comboBoxBooks.Items.Add(node.Attributes["bookId"].Value);
                }
            }
        }

        private void comboBoxBooks_SelectedIndexChanged(object sender, EventArgs e)
        {
            XmlNode node = doc.GetElementById(comboBoxBooks.SelectedItem.ToString());
            labelISBN.Text = node.ChildNodes[0].InnerText;
            labelTitle.Text = node.ChildNodes[1].InnerText;
            labelAuthor.Text = node.ChildNodes[2].InnerText;
            labelComments.Text = node.ChildNodes[3].InnerText;
        }
    }
}
